Method: properties.reportTasks.query

  • This method is used to retrieve the content of a report task after it has been created and is in an 'ACTIVE' state.

  • The request requires a specific path parameter to identify the property and report task.

  • The request body allows for optional parameters like offset and limit to handle pagination of the report data.

  • The response body contains the tabular data of the report, including dimension headers, metric headers, and rows of values.

  • Additional metadata in the response provides information about the report, such as data loss from other rows, sampling, and schema restrictions.

Retrieves a report task's content. After requesting the reportTasks.create, you are able to retrieve the report content once the report is ACTIVE. This method will return an error if the report task's state is not ACTIVE. A query response will return the tabular row & column values of the report.

HTTP request

POST https://analyticsdata.googleapis.com/v1alpha/{name=properties/*/reportTasks/*}:query

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The report source name. Format: properties/{property}/reportTasks/{report}

Request body

The request body contains data with the following structure:

JSON representation
{
  "offset": string,
  "limit": string
}
Fields
offset

string (int64 format)

Optional. The row count of the start row in the report. The first row is counted as row 0.

When paging, the first request does not specify offset; or equivalently, sets offset to 0; the first request returns the first limit of rows. The second request sets offset to the limit of the first request; the second request returns the second limit of rows.

To learn more about this pagination parameter, see Pagination.

limit

string (int64 format)

Optional. The number of rows to return from the report. If unspecified, 10,000 rows are returned. The API returns a maximum of 250,000 rows per request, no matter how many you ask for. limit must be positive.

The API can also return fewer rows than the requested limit, if there aren't as many dimension values as the limit. The number of rows available to a QueryReportTaskRequest is further limited by the limit of the associated ReportTask. A query can retrieve at most ReportTask.limit rows. For example, if the ReportTask has a limit of 1,000, then a reportTasks.query request with offset=900 and limit=500 will return at most 100 rows.

To learn more about this pagination parameter, see Pagination.

Response body

The report content corresponding to a report task.

If successful, the response body contains data with the following structure:

JSON representation
{
  "dimensionHeaders": [
    {
      object (DimensionHeader)
    }
  ],
  "metricHeaders": [
    {
      object (MetricHeader)
    }
  ],
  "rows": [
    {
      object (Row)
    }
  ],
  "totals": [
    {
      object (Row)
    }
  ],
  "maximums": [
    {
      object (Row)
    }
  ],
  "minimums": [
    {
      object (Row)
    }
  ],
  "rowCount": integer,
  "metadata": {
    object (ResponseMetaData)
  }
}
Fields
dimensionHeaders[]

object (DimensionHeader)

Describes dimension columns. The number of DimensionHeaders and ordering of DimensionHeaders matches the dimensions present in rows.

metricHeaders[]

object (MetricHeader)

Describes metric columns. The number of MetricHeaders and ordering of MetricHeaders matches the metrics present in rows.

rows[]

object (Row)

Rows of dimension value combinations and metric values in the report.

totals[]

object (Row)

If requested, the totaled values of metrics.

maximums[]

object (Row)

If requested, the maximum values of metrics.

minimums[]

object (Row)

If requested, the minimum values of metrics.

rowCount

integer

The total number of rows in the query result.

metadata

object (ResponseMetaData)

Metadata for the report.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/analytics.readonly
  • https://www.googleapis.com/auth/analytics